#!/bin/sh
#
# Simple regression test
#
# $Id: test.sh,v 1.2 2008/12/25 09:03:26 dds Exp $
#

MOUNT=/Volumes
FS=tank/home
TMPDIR=dds/tmp
PDIR=$MOUNT/$FS/$TMPDIR

# A committed transaction
rm -rf $PDIR
mkdir $PDIR || exit 1
set `./transaction -b $FS`
ID=$1
TFS=$2
(
TDIR=$MOUNT/$TFS/$TMPDIR
cd $TDIR
echo a >a
echo b >b
mv b c
mkdir dir
echo k >dir/k
echo d >d
echo other >$PDIR/other
mv d e
mv e x2
mv dir ndir

echo deleted >da
mv da db
rm db
echo resurrected >da
mv da dq
mkdir nodir
touch nodir/a
rm nodir/a
rmdir nodir
)
./transaction -c $ID
(
cd $PDIR
cat a
cat c
cat ndir/k
cat x2
cat dq
ls -d nodir
)

# A transaction with a conflict
rm -rf $PDIR
mkdir $PDIR
set `./transaction -b $FS`
ID=$1
TFS=$2
(
TDIR=$MOUNT/$TFS/$TMPDIR
cd $TDIR
echo a >a
echo b >b
mv b c
echo conflict >$PDIR/b
mkdir dir
echo k >dir/k
echo d >d
touch $PDIR/q
mv d e
mv e x2
mv dir ndir
)
./transaction -c $ID

exit 0
