/*
 * Return a new monotonically increasing timestamp.
 */
class Timestamp {
private:
	uint64_t val;
	static uint64_t counter;
public:
	Timestamp(int n) : val(n) {}
	Timestamp() : val(counter++) {}
	static void reset() { counter = 0; }
	friend ostream& operator<<(ostream& o, const Timestamp &t);
	inline friend bool operator >(const Timestamp &a, const Timestamp &b);

};

ostream&
operator<<(ostream& o, const Timestamp& t)
{
	o << t.val;
	return (o);
}

inline bool operator >(const Timestamp &a, const Timestamp &b)
{
	return a.val > b.val;
}

uint64_t Timestamp::counter;
